Bug 82194 - Please switch to new-style simpleinit
Please switch to new-style simpleinit
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
http://www.atnf.csiro.au/people/rgooc...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-19 11:11 EST by Osma Ahvenlampi
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-29 08:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Osma Ahvenlampi 2003-01-19 11:11:10 EST
Description of problem:
I was quite surprised not to find a bug regarding this already, so here goes:
Richard Gooch's simpleinit/need/provide mechanism is clearly more powerful than
the current SysVinit scheme, which is a total pain to maintain with its symlink
hell.

And not only is it cleaner, but faster too! Improving the boot time would rate
pretty high on my list (being a laptop user).
Comment 1 Elliot Lee 2003-01-29 08:36:44 EST
We're aware of simpleinit and the need for initscript dependencies, but some investigation 
showed that the benefits of changing are not yet enough to make this a high priority in the 
current grand scheme.

So, thanks for the idea, but it's not likely to get implemented horribly soon.

Note You need to log in before you can comment on or make changes to this bug.